Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network237.32.36.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
237.32.36.0
Broadcast address
237.32.39.255
First usable
237.32.36.1
Last usable
237.32.39.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex ED202400 · Integer 3978306560 to 3978307583
Reverse DNS zones
36.32.237.in-addr.arpa
37.32.237.in-addr.arpa
38.32.237.in-addr.arpa
39.32.237.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101101.00100000.00100100.00000000237.32.36.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network11101101.00100000.00100100.00000000237.32.36.0
Broadcast11101101.00100000.00100111.11111111237.32.39.255
Split into smaller subnets/29

237.32.36.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1237.32.36.0/29237.32.36.1 to 237.32.36.6237.32.36.76
2237.32.36.8/29237.32.36.9 to 237.32.36.14237.32.36.156
3237.32.36.16/29237.32.36.17 to 237.32.36.22237.32.36.236
4237.32.36.24/29237.32.36.25 to 237.32.36.30237.32.36.316
5237.32.36.32/29237.32.36.33 to 237.32.36.38237.32.36.396
6237.32.36.40/29237.32.36.41 to 237.32.36.46237.32.36.476
7237.32.36.48/29237.32.36.49 to 237.32.36.54237.32.36.556
8237.32.36.56/29237.32.36.57 to 237.32.36.62237.32.36.636
9237.32.36.64/29237.32.36.65 to 237.32.36.70237.32.36.716
10237.32.36.72/29237.32.36.73 to 237.32.36.78237.32.36.796
11237.32.36.80/29237.32.36.81 to 237.32.36.86237.32.36.876
12237.32.36.88/29237.32.36.89 to 237.32.36.94237.32.36.956
13237.32.36.96/29237.32.36.97 to 237.32.36.102237.32.36.1036
14237.32.36.104/29237.32.36.105 to 237.32.36.110237.32.36.1116
15237.32.36.112/29237.32.36.113 to 237.32.36.118237.32.36.1196
16237.32.36.120/29237.32.36.121 to 237.32.36.126237.32.36.1276
17237.32.36.128/29237.32.36.129 to 237.32.36.134237.32.36.1356
18237.32.36.136/29237.32.36.137 to 237.32.36.142237.32.36.1436
19237.32.36.144/29237.32.36.145 to 237.32.36.150237.32.36.1516
20237.32.36.152/29237.32.36.153 to 237.32.36.158237.32.36.1596
21237.32.36.160/29237.32.36.161 to 237.32.36.166237.32.36.1676
22237.32.36.168/29237.32.36.169 to 237.32.36.174237.32.36.1756
23237.32.36.176/29237.32.36.177 to 237.32.36.182237.32.36.1836
24237.32.36.184/29237.32.36.185 to 237.32.36.190237.32.36.1916
25237.32.36.192/29237.32.36.193 to 237.32.36.198237.32.36.1996
26237.32.36.200/29237.32.36.201 to 237.32.36.206237.32.36.2076
27237.32.36.208/29237.32.36.209 to 237.32.36.214237.32.36.2156
28237.32.36.216/29237.32.36.217 to 237.32.36.222237.32.36.2236
29237.32.36.224/29237.32.36.225 to 237.32.36.230237.32.36.2316
30237.32.36.232/29237.32.36.233 to 237.32.36.238237.32.36.2396
31237.32.36.240/29237.32.36.241 to 237.32.36.246237.32.36.2476
32237.32.36.248/29237.32.36.249 to 237.32.36.254237.32.36.2556
33237.32.37.0/29237.32.37.1 to 237.32.37.6237.32.37.76
34237.32.37.8/29237.32.37.9 to 237.32.37.14237.32.37.156
35237.32.37.16/29237.32.37.17 to 237.32.37.22237.32.37.236
36237.32.37.24/29237.32.37.25 to 237.32.37.30237.32.37.316
37237.32.37.32/29237.32.37.33 to 237.32.37.38237.32.37.396
38237.32.37.40/29237.32.37.41 to 237.32.37.46237.32.37.476
39237.32.37.48/29237.32.37.49 to 237.32.37.54237.32.37.556
40237.32.37.56/29237.32.37.57 to 237.32.37.62237.32.37.636
41237.32.37.64/29237.32.37.65 to 237.32.37.70237.32.37.716
42237.32.37.72/29237.32.37.73 to 237.32.37.78237.32.37.796
43237.32.37.80/29237.32.37.81 to 237.32.37.86237.32.37.876
44237.32.37.88/29237.32.37.89 to 237.32.37.94237.32.37.956
45237.32.37.96/29237.32.37.97 to 237.32.37.102237.32.37.1036
46237.32.37.104/29237.32.37.105 to 237.32.37.110237.32.37.1116
47237.32.37.112/29237.32.37.113 to 237.32.37.118237.32.37.1196
48237.32.37.120/29237.32.37.121 to 237.32.37.126237.32.37.1276
49237.32.37.128/29237.32.37.129 to 237.32.37.134237.32.37.1356
50237.32.37.136/29237.32.37.137 to 237.32.37.142237.32.37.1436
51237.32.37.144/29237.32.37.145 to 237.32.37.150237.32.37.1516
52237.32.37.152/29237.32.37.153 to 237.32.37.158237.32.37.1596
53237.32.37.160/29237.32.37.161 to 237.32.37.166237.32.37.1676
54237.32.37.168/29237.32.37.169 to 237.32.37.174237.32.37.1756
55237.32.37.176/29237.32.37.177 to 237.32.37.182237.32.37.1836
56237.32.37.184/29237.32.37.185 to 237.32.37.190237.32.37.1916
57237.32.37.192/29237.32.37.193 to 237.32.37.198237.32.37.1996
58237.32.37.200/29237.32.37.201 to 237.32.37.206237.32.37.2076
59237.32.37.208/29237.32.37.209 to 237.32.37.214237.32.37.2156
60237.32.37.216/29237.32.37.217 to 237.32.37.222237.32.37.2236
61237.32.37.224/29237.32.37.225 to 237.32.37.230237.32.37.2316
62237.32.37.232/29237.32.37.233 to 237.32.37.238237.32.37.2396
63237.32.37.240/29237.32.37.241 to 237.32.37.246237.32.37.2476
64237.32.37.248/29237.32.37.249 to 237.32.37.254237.32.37.2556
65237.32.38.0/29237.32.38.1 to 237.32.38.6237.32.38.76
66237.32.38.8/29237.32.38.9 to 237.32.38.14237.32.38.156
67237.32.38.16/29237.32.38.17 to 237.32.38.22237.32.38.236
68237.32.38.24/29237.32.38.25 to 237.32.38.30237.32.38.316
69237.32.38.32/29237.32.38.33 to 237.32.38.38237.32.38.396
70237.32.38.40/29237.32.38.41 to 237.32.38.46237.32.38.476
71237.32.38.48/29237.32.38.49 to 237.32.38.54237.32.38.556
72237.32.38.56/29237.32.38.57 to 237.32.38.62237.32.38.636
73237.32.38.64/29237.32.38.65 to 237.32.38.70237.32.38.716
74237.32.38.72/29237.32.38.73 to 237.32.38.78237.32.38.796
75237.32.38.80/29237.32.38.81 to 237.32.38.86237.32.38.876
76237.32.38.88/29237.32.38.89 to 237.32.38.94237.32.38.956
77237.32.38.96/29237.32.38.97 to 237.32.38.102237.32.38.1036
78237.32.38.104/29237.32.38.105 to 237.32.38.110237.32.38.1116
79237.32.38.112/29237.32.38.113 to 237.32.38.118237.32.38.1196
80237.32.38.120/29237.32.38.121 to 237.32.38.126237.32.38.1276
81237.32.38.128/29237.32.38.129 to 237.32.38.134237.32.38.1356
82237.32.38.136/29237.32.38.137 to 237.32.38.142237.32.38.1436
83237.32.38.144/29237.32.38.145 to 237.32.38.150237.32.38.1516
84237.32.38.152/29237.32.38.153 to 237.32.38.158237.32.38.1596
85237.32.38.160/29237.32.38.161 to 237.32.38.166237.32.38.1676
86237.32.38.168/29237.32.38.169 to 237.32.38.174237.32.38.1756
87237.32.38.176/29237.32.38.177 to 237.32.38.182237.32.38.1836
88237.32.38.184/29237.32.38.185 to 237.32.38.190237.32.38.1916
89237.32.38.192/29237.32.38.193 to 237.32.38.198237.32.38.1996
90237.32.38.200/29237.32.38.201 to 237.32.38.206237.32.38.2076
91237.32.38.208/29237.32.38.209 to 237.32.38.214237.32.38.2156
92237.32.38.216/29237.32.38.217 to 237.32.38.222237.32.38.2236
93237.32.38.224/29237.32.38.225 to 237.32.38.230237.32.38.2316
94237.32.38.232/29237.32.38.233 to 237.32.38.238237.32.38.2396
95237.32.38.240/29237.32.38.241 to 237.32.38.246237.32.38.2476
96237.32.38.248/29237.32.38.249 to 237.32.38.254237.32.38.2556
97237.32.39.0/29237.32.39.1 to 237.32.39.6237.32.39.76
98237.32.39.8/29237.32.39.9 to 237.32.39.14237.32.39.156
99237.32.39.16/29237.32.39.17 to 237.32.39.22237.32.39.236
100237.32.39.24/29237.32.39.25 to 237.32.39.30237.32.39.316
101237.32.39.32/29237.32.39.33 to 237.32.39.38237.32.39.396
102237.32.39.40/29237.32.39.41 to 237.32.39.46237.32.39.476
103237.32.39.48/29237.32.39.49 to 237.32.39.54237.32.39.556
104237.32.39.56/29237.32.39.57 to 237.32.39.62237.32.39.636
105237.32.39.64/29237.32.39.65 to 237.32.39.70237.32.39.716
106237.32.39.72/29237.32.39.73 to 237.32.39.78237.32.39.796
107237.32.39.80/29237.32.39.81 to 237.32.39.86237.32.39.876
108237.32.39.88/29237.32.39.89 to 237.32.39.94237.32.39.956
109237.32.39.96/29237.32.39.97 to 237.32.39.102237.32.39.1036
110237.32.39.104/29237.32.39.105 to 237.32.39.110237.32.39.1116
111237.32.39.112/29237.32.39.113 to 237.32.39.118237.32.39.1196
112237.32.39.120/29237.32.39.121 to 237.32.39.126237.32.39.1276
113237.32.39.128/29237.32.39.129 to 237.32.39.134237.32.39.1356
114237.32.39.136/29237.32.39.137 to 237.32.39.142237.32.39.1436
115237.32.39.144/29237.32.39.145 to 237.32.39.150237.32.39.1516
116237.32.39.152/29237.32.39.153 to 237.32.39.158237.32.39.1596
117237.32.39.160/29237.32.39.161 to 237.32.39.166237.32.39.1676
118237.32.39.168/29237.32.39.169 to 237.32.39.174237.32.39.1756
119237.32.39.176/29237.32.39.177 to 237.32.39.182237.32.39.1836
120237.32.39.184/29237.32.39.185 to 237.32.39.190237.32.39.1916
121237.32.39.192/29237.32.39.193 to 237.32.39.198237.32.39.1996
122237.32.39.200/29237.32.39.201 to 237.32.39.206237.32.39.2076
123237.32.39.208/29237.32.39.209 to 237.32.39.214237.32.39.2156
124237.32.39.216/29237.32.39.217 to 237.32.39.222237.32.39.2236
125237.32.39.224/29237.32.39.225 to 237.32.39.230237.32.39.2316
126237.32.39.232/29237.32.39.233 to 237.32.39.238237.32.39.2396
127237.32.39.240/29237.32.39.241 to 237.32.39.246237.32.39.2476
128237.32.39.248/29237.32.39.249 to 237.32.39.254237.32.39.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses